import React from 'react'
import { LoginForm } from 'components';
import { GoogleLogin, GoogleLogout } from 'react-google-login';

const AuthPage = () => {
    const storage = window.localStorage;
    const responseGoogle = (response: any) => {
        console.log(response)
        // console.log(response.profileObj);
        // console.log(response.tokenObj);
        if ("error" in response) {
            storage.setItem("loggedIn", "false")
        } else {
            const {email, familyName:lastName, givenName:firstName, googleId, imageUrl} = response.profileObj;
            const googleAuthInfo = {
                email,
                firstName,
                lastName,
                googleId,
                imageUrl
            }
            storage.setItem("loggedIn", "true");
            storage.setItem("googleAuthInfo", JSON.stringify(googleAuthInfo));
            return (googleAuthInfo);
        }
    }

    const loginSuccess = (response: any) => {
        console.log(response)
        const {email, familyName:lastName, givenName:firstName, googleId, imageUrl} = response.profileObj;
            const googleAuthInfo = {
                email,
                firstName,
                lastName,
                googleId,
                imageUrl
            }
            storage.setItem("loggedIn", "true");
            storage.setItem("googleAuthInfo", JSON.stringify(googleAuthInfo));
            return (googleAuthInfo);
    }

    const loginFailure = (response: any) => {
        console.log(response);
        storage.setItem("loggedIn", "false")
    }

    const logout = (response: any) => {
        console.log(response)
        storage.clear();
    }

    return (
        <div>
            <GoogleLogin
                clientId="925243198137-hhe2e3ejlethf321hh7tbm7ontc19cpj.apps.googleusercontent.com"
                buttonText="Login"
                onSuccess={responseGoogle}
                onFailure={responseGoogle}
                cookiePolicy={'single_host_origin'}
            />
            {/* <GoogleLogout
                clientId="658977310896-knrl3gka66fldh83dao2rhgbblmd4un9.apps.googleusercontent.com"
                buttonText="Logout"
                onLogoutSuccess={logout}
                onFailure={logout}
            /> */}
        </div>
    )
}

export default AuthPage

/*
Google Successful OAuth response (The parts we want to keep, anyway):
response => 
    response.profileObj = {
        email: "kkaminski@nisum.com",
        familyName: "Kaminski",
        givenName: "Kevin",
        googleId: "104324023295177405903",
        imageUrl: "https://lh3.googleusercontent.com/a/AATXAJymxbs98AGxOFCVUCpV9pEwpxx1JWR6XZqKXe8b=s96-c",
        name: "Kevin Kaminski"
    }

    response.tokenObj = {
        access_token: "ya2...LCe",
        expires_at: 1620238821414,
        expires_in: 3599,
        first_issued_at: 1620235222414,
        id_token: "eyJhbGciOiJSUzI1NiIs...yXc6HOG97FF6eF1AU0Oh8w",
        idpId: "google",
        login_hint: "AJDLj6J...RcffTyHTSIHVKSQ",
        scope: "email profile https://www.googleapis.com/auth/userinfo.email openid https://www.googleapis.com/auth/userinfo.profile",
        session_state: {
            extraQueryParams: {
                authuser: 2
            }
        },
        token_type: "bearer"
    }


*/
